Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Upsert tax group markets

Bulk-upserts tax-group-to-market relationships.

PUT/api/v2/{team_slug}/{app_slug}/tax-groups/markets
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
marketsTaxGroupMarketLink[]required
min items 1 · max items 20
Show properties
Array of TaxGroupMarketLink
tax_group_idUUIDrequired
market_idUUIDrequired
country_tax_percentagesTaxGroupMarketCountryTaxPercentage[] | null
Show properties
Array of TaxGroupMarketCountryTaxPercentage
country_codestringrequired
tax_percentagenumber<double> | null
Responses
200

OK (partial success possible)

dataTaxGroupMarketLink[]required
Show properties
Array of TaxGroupMarketLink
tax_group_idUUIDrequired
market_idUUIDrequired
country_tax_percentagesTaxGroupMarketCountryTaxPercentage[] | null
Show properties
Array of TaxGroupMarketCountryTaxPercentage
country_codestringrequired
tax_percentagenumber<double> | null
errorsTaxGroupMarketLinkError[]required
Show properties
Array of TaxGroupMarketLinkError
tax_group_idUUIDrequired
market_idUUIDrequired
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.enad.io/api/v2/string/string/tax-groups/markets' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "markets": [
    {
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
      "country_tax_percentages": [
        {
          "country_code": "string",
          "tax_percentage": 0
        }
      ]
    }
  ]
}'
Response
{
  "data": [
    {
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
      "country_tax_percentages": [
        {
          "country_code": "string",
          "tax_percentage": 0
        }
      ]
    }
  ],
  "errors": [
    {
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
      "message": "string"
    }
  ]
}